/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Outlined.Mediation: ImageVector
    get() {
        if (_mediation != null) {
            return _mediation!!
        }
        _mediation = materialIcon(name = "Outlined.Mediation") {
            materialPath {
                moveTo(18.0f, 16.0f)
                lineToRelative(4.0f, -4.0f)
                lineToRelative(-4.0f, -4.0f)
                verticalLineToRelative(3.0f)
                horizontalLineToRelative(-5.06f)
                curveToRelative(-0.34f, -3.1f, -2.26f, -5.72f, -4.94f, -7.05f)
                curveTo(7.96f, 2.31f, 6.64f, 1.0f, 5.0f, 1.0f)
                curveTo(3.34f, 1.0f, 2.0f, 2.34f, 2.0f, 4.0f)
                reflectiveCurveToRelative(1.34f, 3.0f, 3.0f, 3.0f)
                curveToRelative(0.95f, 0.0f, 1.78f, -0.45f, 2.33f, -1.14f)
                curveTo(9.23f, 6.9f, 10.6f, 8.77f, 10.92f, 11.0f)
                horizontalLineToRelative(-3.1f)
                curveTo(7.4f, 9.84f, 6.3f, 9.0f, 5.0f, 9.0f)
                curveToRelative(-1.66f, 0.0f, -3.0f, 1.34f, -3.0f, 3.0f)
                reflectiveCurveToRelative(1.34f, 3.0f, 3.0f, 3.0f)
                curveToRelative(1.3f, 0.0f, 2.4f, -0.84f, 2.82f, -2.0f)
                horizontalLineToRelative(3.1f)
                curveToRelative(-0.32f, 2.23f, -1.69f, 4.1f, -3.58f, 5.14f)
                curveTo(6.78f, 17.45f, 5.95f, 17.0f, 5.0f, 17.0f)
                curveToRelative(-1.66f, 0.0f, -3.0f, 1.34f, -3.0f, 3.0f)
                reflectiveCurveToRelative(1.34f, 3.0f, 3.0f, 3.0f)
                curveToRelative(1.64f, 0.0f, 2.96f, -1.31f, 2.99f, -2.95f)
                curveToRelative(2.68f, -1.33f, 4.6f, -3.95f, 4.94f, -7.05f)
                horizontalLineTo(18.0f)
                verticalLineTo(16.0f)
                close()
            }
        }
        return _mediation!!
    }

private var _mediation: ImageVector? = null
